/*
 * BarSymbol.h
 *
 *  Created on: Apr 10, 2013
 *      Author: Stepan Plachy
 */

#include "BarSymbol.h"

namespace alphabet {

BarSymbol::BarSymbol() {

}

SymbolBase* BarSymbol::clone() const {
	return new BarSymbol(*this);
}

SymbolBase* BarSymbol::plunder() && {
	return new BarSymbol(std::move(*this));
}

int BarSymbol::compare(const BarSymbol&) const {
	return 0;
}

void BarSymbol::operator>>(std::ostream& out) const {
	out << "(Bar symbol)";
}

BarSymbol::operator std::string () const {
	return "|";
}

BarSymbol BarSymbol::BAR = BarSymbol();

} /* namespace alphabet */
