/*
 * SubtreeWildcardSymbol.cpp
 *
 *  Created on: Apr 10, 2013
 *      Author: Jan Travnicek
 */

#include "SubtreeWildcardSymbol.h"

namespace alphabet {

SubtreeWildcardSymbol::SubtreeWildcardSymbol() {

}

SymbolBase* SubtreeWildcardSymbol::clone() const {
	return new SubtreeWildcardSymbol(*this);
}

SymbolBase* SubtreeWildcardSymbol::plunder() && {
	return new SubtreeWildcardSymbol(std::move(*this));
}

int SubtreeWildcardSymbol::compare(const SubtreeWildcardSymbol&) const {
	return 0;
}

void SubtreeWildcardSymbol::operator>>(std::ostream& out) const {
	out << "(SubtreeWildcardSymbol)";
}

SubtreeWildcardSymbol::operator std::string () const {
	return "#S";
}

SubtreeWildcardSymbol SubtreeWildcardSymbol::SUBTREE_WILDCARD = SubtreeWildcardSymbol();

} /* namespace alphabet */
